[Train] lbaas has been removed from Neutron but still installed by charm

Bug #1853868 reported by Alex Kavanagh on 2019-11-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack neutron-api charm
High
Stamatis Katsaounis
OpenStack neutron-gateway charm
High
Stamatis Katsaounis
OpenStack openstack-dashboard charm
Undecided
Unassigned

Bug Description

Generally, lbaas has been retired from Neutron at the Train release:
https://docs.openstack.org/releasenotes/neutron/train.html#deprecation-notes

This means that it needs to be removed from neutron-api, possibly neutron-gateway and the changes need to be backported to stable/19.10. Also openstack-dashboard needs the packages removed.

Charms/Interfaces that need investigating

1. charm-neutron-api
2. charm-neutron-gateway
3. charm-openstack-dashboard
4. charm-interface-neutron-plugin-api-subordinate
5. charm-neutron-api-generic-switch

In particular, the packages for lbaas need to:

1. Not be installed if the package is train.
2. If the OpenStack is upgraded to train+ then the lbaas packages need to be removed.
3. A new template for the train that doesn't include lbaas.
4. Tests upgraded appropriately.

tags: added: openstack-upgrade

Reviewed: https://review.opendev.org/695764
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-api/commit/?id=b36ac4b4ed228e5763034f5e8b75c761a96027a4
Submitter: Zuul
Branch: master

commit b36ac4b4ed228e5763034f5e8b75c761a96027a4
Author: Stamatis Katsaounis <email address hidden>
Date: Fri Nov 22 23:08:20 2019 +0200

    Remove lbaas in OpenStack Train deployments

    This patch removes completely any lbaas related service or
    configuration for OS Train deployements.

    Change-Id: Ib48adee32d649e5254265924175c3bf2d3437c0b
    Closes-Bug: #1853868
    Signed-off-by: Stamatis Katsaounis <email address hidden>

Changed in charm-neutron-api:
status: New → Fix Committed
Frode Nordahl (fnordahl) on 2019-11-29
Changed in charm-neutron-api:
assignee: nobody → Stamatis Katsaounis (skatsaounis)
importance: Undecided → High
milestone: none → 20.02
Frode Nordahl (fnordahl) on 2019-12-02
Changed in charm-neutron-gateway:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Stamatis Katsaounis (skatsaounis)
Frode Nordahl (fnordahl) on 2019-12-02
Changed in charm-neutron-gateway:
milestone: none → 20.02

Reviewed: https://review.opendev.org/696667
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-gateway/commit/?id=5c5d5911a0a50e45a9f1c07160bcf9fed9ff6afb
Submitter: Zuul
Branch: master

commit 5c5d5911a0a50e45a9f1c07160bcf9fed9ff6afb
Author: Stamatis Katsaounis <email address hidden>
Date: Fri Nov 29 11:04:53 2019 +0200

    Remove lbaas in OpenStack Train deployments

    This patch removes completely any lbaas related service when upgrading
    to OpenStack Train.

    Change-Id: I51a19e4890dfbc4c7cbb61b6d7fdfc7888ff9262
    Closes-Bug: #1853868
    Signed-off-by: Stamatis Katsaounis <email address hidden>

Changed in charm-neutron-gateway:
status: In Progress → Fix Committed

Reviewed: https://review.opendev.org/696836
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-gateway/commit/?id=9dcdadfc89be91454bab08233dfbda865aeaf77b
Submitter: Zuul
Branch: stable/19.10

commit 9dcdadfc89be91454bab08233dfbda865aeaf77b
Author: Stamatis Katsaounis <email address hidden>
Date: Fri Nov 29 11:04:53 2019 +0200

    Remove lbaas in OpenStack Train deployments

    This patch removes completely any lbaas related service when upgrading
    to OpenStack Train.

    Change-Id: I51a19e4890dfbc4c7cbb61b6d7fdfc7888ff9262
    Closes-Bug: #1853868
    Signed-off-by: Stamatis Katsaounis <email address hidden>
    (cherry picked from commit 5c5d5911a0a50e45a9f1c07160bcf9fed9ff6afb)

Reviewed: https://review.opendev.org/696837
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-api/commit/?id=f2e726258e3912426fb60e1b37498a6fbecad03a
Submitter: Zuul
Branch: stable/19.10

commit f2e726258e3912426fb60e1b37498a6fbecad03a
Author: Stamatis Katsaounis <email address hidden>
Date: Fri Nov 22 23:08:20 2019 +0200

    Remove lbaas in OpenStack Train deployments

    This patch removes completely any lbaas related service or
    configuration for OS Train deployements.

    Change-Id: Ib48adee32d649e5254265924175c3bf2d3437c0b
    Closes-Bug: #1853868
    Signed-off-by: Stamatis Katsaounis <email address hidden>
    (cherry picked from commit b36ac4b4ed228e5763034f5e8b75c761a96027a4)

Liam Young (gnuoy) on 2020-02-17
Changed in charm-neutron-api:
status: Fix Committed → Fix Released
Changed in charm-neutron-gateway:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers